c ****** FLAT PLATE (INCOMPRESSIBLE) PROCESSING CODE
      open(unit=31,file='cf_input.txt',form='formatted')
      open(unit=32,file='cf_output.txt',form='formatted')
      open(unit=33,file='uplus_input.txt',form='formatted')
      open(unit=34,file='uplus_output.txt',form='formatted')
c ****** re on next line is reference Reynolds number per foot
      re = 1.3788e6


c ****** First compute skin friction coefficient
c ****** Note for this file the next loop is reversed, because the
c ****** unstructured input file lists x, Cf values from the exit
c ****** marching backward.
      do i=97,1,-1
       read(31,*) x,cf2
       rex = re*x
       write(32,10) rex,cf2
        if (i.eq.63) cf = cf2
  10   format(2x,f14.3,2x,f14.6)
      end do

c ****** Now compute u+ and y+
c ****** Cf used below is value of Cf at x ~ 5.5 ft, taken above
c ****** Note that this only reads first 51 points of 'uplus_input.txt'
c ****** file, so that this works for the hexahedral/triangular prism
c ****** grid with 51 'structured' cells in the inner grid layer.  For
c ****** the purely hexahedral or 'structured' grid, the loop below
c ****** could go to 81 instead of 51 as the 'uplus_input.txt' will have
c ****** 81 points from wall to top of domain. Fortunately, 51 points
c ****** is enough to search the entire boundary layer
      uinf = 225.4
      do i=1,51
        read(33,*) y,u
        uplus = u/uinf/(cf/2.)**.5
        yplus = 1.3788e6*y*(cf/2.)**.5
      write(34,11) yplus,uplus
  11  format(2x,f12.4,x,f12.4)
      end do

      stop
      end

